Subject: bug#34614: 26.1.92; When reading input in mini-buffer, message to each area overide the input prompt

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Feb 2019 12:35:32 +0200

> Date: Sat, 23 Feb 2019 10:57:36 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  > Thanks.  But this is _before_ actually reverting the buffer, so just
>  > wrapping the whole thing after the above in with-temp-message could
>  > work, no?
> 
> I'm afraid that reverting happens too fast to make that useful without
> a timeout.

But we could do what with-temp-message does manually, and sit-for
before replacing the message, no?

> In either case what would you suggest to do in the unwind form?

I'm not following: what unwind form?

> Autoreverting has
> 
>              (revert-buffer 'ignore-auto 'dont-ask 'preserve-modes))))
> 
> Does that mean 'revert-buffer--default' could still ask questions?

I don't know, I didn't look closely enough.